DROP SERVER(7)

NAME
DROP_SERVER - remove a foreign server descriptor

SYNOPSIS

DROP SERVER [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP SERVER removes an existing foreign server descriptor. To execute this command, the current user must be the owner of the server.

PARAMETERS

IF EXISTS
    Do not throw an error if the server does not exist. A notice is issued in this case.

name
    The name of an existing server.

CASCADE
    Automatically drop objects that depend on the server (such as user mappings), and in turn all objects that depend on those objects (see Section 5.13).

RESTRICT
    Refuse to drop the server if any objects depend on it. This is the default.

EXAMPLES

Drop a server foo if it exists:

    DROP SERVER IF EXISTS foo;

COMPATIBILITY

DROP SERVER conforms to ISO/IEC 9075-9 (SQL/MED). The IF EXISTS clause is a PostgreSQL extension.

SEE ALSO
CREATE SERVER (CREATE_SERVER(7)), ALTER SERVER (ALTER_SERVER(7))